﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Interactive;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            //Loaded PDF document to export
            PdfLoadedDocument document = new PdfLoadedDocument(@"..\..\Data\Input.pdf");

            int i = 0;
            foreach (PdfLoadedPage loadedPage in document.Pages)
            {
                foreach (PdfLoadedAnnotation item in loadedPage.Annotations)
                {
                    //Collection to export selected annotations
                    PdfExportAnnotationCollection collection = new PdfExportAnnotationCollection();
                    //Add selected annotations into collection
                    collection.Add(item);
                    //Export selected annotations into XFDF format
                    document.ExportAnnotations(@"Annotation" + i + ".fdf", AnnotationDataFormat.Fdf, collection);
                    i++;
                }
            }
            //Close the document
            document.Close(true);
        }
    }
}
